[package]
name = "siren"
edition.workspace = true
version.workspace = true
rust-version.workspace = true
authors.workspace = true

[dependencies]
siren-core = { workspace = true }
siren-bot  = { workspace = true }
siren-api  = { workspace = true }
dotenv     = { workspace = true }
log        = { workspace = true }
env_logger = { workspace = true }
serenity   = { workspace = true }
songbird   = { workspace = true }
reqwest    = { workspace = true }
# Add the `signal` feature on top of the workspace base for graceful shutdown
tokio    = { workspace = true, features = ["signal"] }
dashmap  = { workspace = true }
